## org.eclipse.datatools.connectivity.ui.actions
Class ImportProfileViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.ImportProfileViewAction

public class ImportProfileViewAction
extends Action

Ideally, this class should be splitted into two, one is for Action, the other is for View Action.

Author:
  shongxum
See Also:
  Serialized Form

Constructor Summary
`ImportProfileViewAction()`

Method Summary
`void` `init(IViewPart view)`
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportProfileViewAction

    public ImportProfileViewAction()

Method Detail

### init

    public void init(IViewPart view)

### run

    public void run()

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.